textures/defiant/light
{
	surfaceparm nolightmap
	q3map_surfacelight 175
	{
		map textures/defiant/light.tga
	}
}

textures/defiant/backlcar
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/backlcar.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/backsidepanel
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/backsidepanel.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/defiant_msd
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/defiant_msd.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

models/mapobjects/defiant/helm/helm_panel
{
	surfaceparm nolightmap
	{
		map textures/detail/gleam2.tga
		blendfunc add
		tcMod scale 3 3
		tcGen environment 
		detail
	}
	{
		map models/mapobjects/defiant/helm/helm_panel.tga
	}
	{
		animmap 4 models/mapobjects/defiant/helm/helm_panel_glowa.tga models/mapobjects/defiant/helm/helm_panel_glowb.tga models/mapobjects/defiant/helm/helm_panel_glowc.tga models/mapobjects/defiant/helm/helm_panel_glowd.tga 
		blendfunc add
	}
}

models/mapobjects/defiant/captainsarea/tactical_right
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map models/mapobjects/defiant/captainsarea/tactical_right.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

models/mapobjects/defiant/helm/helm_panel
{
	surfaceparm nolightmap
	{
		map textures/defiant/gleam4.tga
		blendfunc add
		tcMod scale 3 3
		tcGen environment 
		detail
	}
	{
		map models/mapobjects/defiant/captainsarea/lcars14.tga
	}
	{
		animmap 1 models/mapobjects/defiant/captainsarea/lcars14.tga models/mapobjects/defiant/captainsarea/lcars14_a.tga models/mapobjects/defiant/captainsarea/lcars14_b.tga models/mapobjects/defiant/captainsarea/lcars14_c.tga 
		blendfunc blend
	}
}

textures/defiant/engineeringstation
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/engineeringstation.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/sciencestation
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/sciencestation.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/tacticalstation1
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/tacticalstation1.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/tacticalstation2
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/tacticalstation2.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/screen
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/screen.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/station
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/station.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

models/mapobjects/defiant/warpcore/core1
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map models/mapobjects/defiant/warpcore/core1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/defiant/warpcore/corepulse1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.25 0.25 0.25 
		tcMod turb 0.2 0.2 0.1 1
		tcMod scale 0.25 0.25
		tcMod scroll -0.25 -0.25
	}
}

models/mapobjects/defiant/warpcore/core_mult
{
	surfaceparm nolightmap
	q3map_surfacelight 612
	{
		map models/mapobjects/defiant/warpcore/core_sphere.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/defiant/warpcore/core_energy.tga
		tcMod scale 0.35 0.14
		tcMod scroll -0.4 0.9
	}
	{
		map models/mapobjects/defiant/warpcore/core_energy.tga
		blendfunc gl_dst_color gl_one
		tcMod scale 0.25 0.13
		tcMod scroll 0.75 -0.15
	}
	{
		map models/mapobjects/defiant/warpcore/core_energy.tga
		blendfunc filter
		tcMod scale 0.23 0.12
		tcMod scroll 0.4 -0.85
	}
	{
		map models/mapobjects/defiant/warpcore/core_mult.tga
		blendfunc gl_dst_color gl_one
		tcMod scale 0.15 0.3
		tcMod scroll -0.8 -0.6
	}
}

models/mapobjects/defiant/warpcore/small_control
{
	{
		map models/mapobjects/defiant/warpcore/small_control.tga
		rgbGen identity
	}
	{
		map textures/detail/gleam2.tga
		blendfunc add
		tcMod scale 3 3
		tcGen environment 
		detail
	}
}

models/mapobjects/defiant/warpcore/core_lcars_thing
{
	{
		map models/mapobjects/defiant/warpcore/core_lcars_thing.tga
		rgbGen identity
	}
	{
		map textures/detail/gleam2.tga
		blendfunc add
		tcMod scale 3 3
		tcGen environment 
		detail
	}
}

textures/defiant/warpcore1
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/defiant/warpcore1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/defiant/corepulse1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.25 0.25 0.25 
		tcMod turb 0.2 0.2 0.1 1
		tcMod scale 0.25 0.25
		tcMod scroll -0.25 -0.25
	}
}

textures/defiant/deflcars
{
	surfaceparm nolightmap
	surfaceparm pointlight
	q3map_surfacelight 7000
	{
		map textures/detail/gleam2.tga
		rgbGen identity
		tcMod scale 3 3
		tcGen environment 
	}
	{
		map textures/defiant/deflcars.tga
		blendfunc gl_one gl_src_alpha
		rgbGen Vertex
	}
}

textures/defiant/Redalert
{
	qer_editorimage textures/defiant/black.tga
	{
		map $lightmap 
		tcGen lightmap 
	}
	{
		map textures/defiant/black.tga
		blendfunc filter
	}
	{
		map textures/defiant/black.tga
		blendfunc add
	}
	{
		map textures/defiant/red.tga
		blendfunc add
		rgbGen wave square 0 1 0 0.75 
	}
}

