textures/mag/nebula
{
    qer_editorimage env/512jhnebula1/jhnebula1_ft.tga
    q3map_lightimage textures/mag/jhnebula1_ft.tga
    q3map_surfacelight 200
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 175 65 45
    skyParms env/512jhnebula1/jhnebula1 1200 -
    {
        map textures/mag/cloud2.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod scale 10 10
        tcMod scroll 0.02 0.02
    }
    {
        map textures/mag/cloud.tga
        blendfunc filter
        tcMod scale 4 4
        tcMod scroll 0.005 0.025
    }
}

textures/mag/cremltgrn
{
    q3map_surfacelight 612
    surfaceparm nolightmap
    {
        map textures/mag/creenegy.tga
        tcMod scale 0.20 0.20 
	tcMod rotate -12
    }
    {
        map textures/mag/creenegy.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.22 0.05 
	tcMod rotate 10 
    }
    {
        map textures/mag/creenegy.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.05 0.35 
	tcMod rotate 15
    }
    {
        map textures/mag/cremltgrn.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.15 0.3
        tcMod scroll -0.08 -0.60
    }
}

textures/mag/core1
{
	surfaceparm nolightmap
	{
        map textures/mag/core1.tga
        tcMod scale 0.20 0.20 
	tcMod rotate -12 
    }
    {
        map textures/borg/patterne.tga
        blendFunc GL_DST_COLOR GL_ONE
	tcMod scale 0.22 0.05 
	tcMod rotate 10  
    }
    {
        map textures/borg/patterne.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.05 0.35 
	tcMod rotate 15 
    }
    {
        map textures/voyager/pulse1.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}

textures/mag/diagnostic
{
    qer_editorimage textures/mag_consoles/diagnostic.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/diagnostic.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/diagnostic.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/lcars2
{
    qer_editorimage textures/mag_consoles/lcars2.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars2.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars2.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
	{
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/holodeck
{
    qer_editorimage textures/mag_consoles/holodeck.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/holodeck.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/holodeck.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/engineering1
{
    qer_editorimage textures/mag_consoles/lcars1.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 6 textures/mag_consoles/lcars1_a.jpg textures/mag_consoles/lcars1_b.jpg textures/mag_consoles/lcars1_c.jpg textures/mag_consoles/lcars1.jpg 
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/system1
{
    qer_editorimage textures/mag_consoles/lcars3.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/mag_consoles/lcars3.jpg textures/mag_consoles/lcars3_a.jpg textures/mag_consoles/lcars3_b.jpg
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/lcars5
{
    qer_editorimage textures/mag_consoles/lcars5.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars5.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars5.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/lcars7
{
    qer_editorimage textures/mag_consoles/lcars7.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars7.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars7.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/lcars8
{
    qer_editorimage textures/mag_consoles/lcars8.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars8.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars8.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/lcars10
{
    qer_editorimage textures/mag_consoles/lcars10.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars10.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars10.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/tactical
{
    qer_editorimage textures/mag_consoles/lcars12.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
   }
   {
        animMap 1 textures/mag_consoles/lcars12.jpg textures/mag_consoles/lcars12_a.jpg textures/mag_consoles/lcars12_b.jpg textures/mag_consoles/lcars12_c.jpg
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/panel
{
    qer_editorimage textures/mag_consoles/lcars14.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
      }
    {
        animMap 1 textures/mag_consoles/lcars14.jpg textures/mag_consoles/lcars14_a.jpg textures/mag_consoles/lcars14_b.jpg textures/mag_consoles/lcars14_c.jpg 
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/lcars15
{
    qer_editorimage textures/mag_consoles/lcars15.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/lcars15.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/lcars15.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/panel2
{
    qer_editorimage textures/mag_consoles/lcars16.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/mag_consoles/lcars16.jpg textures/mag_consoles/lcars16_a.jpg
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/core
{
    qer_editorimage textures/mag_consoles/lcars17.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 3 textures/mag_consoles/lcars17_a.jpg textures/mag_consoles/lcars17_b.jpg textures/mag_consoles/lcars17.jpg 
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/sensors
{
    qer_editorimage textures/mag_consoles/sensors.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/sensors.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/sensors.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/neural
{
    qer_editorimage textures/mag_consoles/neural.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/neural.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/neural.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/transporter
{
    qer_editorimage textures/mag_consoles/transporter.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/transporter.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/transporter.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.81 0.1 0 .5
		detail
	}
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/portal
{
    qer_editorimage textures/stasis/portal.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    portal
    {
        map textures/dreadnought/bluestatic.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        alphaGen portal 500
        tcMod scroll 3561 67751
    }
}

textures/mag/warp_propulsion
{
   qer_editorimage textures/mag_consoles/warp_propulsion.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/warp_propulsion.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/warp_propulsion.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/cchair_1
{
    qer_editorimage textures/mag_consoles/cchair_1.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/cchair_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/cchair_1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/conn_main
{
    qer_editorimage textures/mag_consoles/conn_main.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/conn_main.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/conn_main.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/conn_resource
{
    qer_editorimage textures/mag_consoles/conn_resource.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/conn_resource.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/conn_resource.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/console_panel1
{
    qer_editorimage textures/mag_consoles/console_panel1.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/console_panel1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/console_panel1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/emh_mark1
{
   qer_editorimage textures/mag_consoles/emh_mark1.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/emh_mark1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/emh_mark1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/environment_panel
{
    qer_editorimage textures/mag_consoles/environment_panel.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/environment_panel.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/environment_panel.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/master_panel
{
   qer_editorimage textures/mag_consoles/master_panel.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/master_panel.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/master_panel.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/medical_report
{
    qer_editorimage textures/mag_consoles/medical_report.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/medical_report.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/medical_report.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/replicator_panel
{
    qer_editorimage textures/mag_consoles/replicator_panel.tga
    surfaceparm nolightmap
    surfaceparm nomarks
       {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/replicator_panel.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/replicator_panel.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/scan_0047
{
  qer_editorimage textures/mag_consoles/scan_0047.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/scan_0047.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/scan_0047.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/sickbay_status
{
    qer_editorimage textures/mag_consoles/sickbay_status.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/sickbay_status.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/sickbay_status.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/small_control2
{
    qer_editorimage textures/mag_consoles/small_control2.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/small_control2.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/small_control2.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/small_control
{
    qer_editorimage textures/mag_consoles/small_control.tga
    surfaceparm nolightmap
    surfaceparm nomarks
     {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/small_control.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/small_control.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/tactical_panel
{
    qer_editorimage textures/mag_consoles/tactical_panel.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/tactical_panel.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/tactical_panel.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	1 .1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/tactical_right
{
    qer_editorimage textures/mag_consoles/tactical_right.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/tactical_right.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/tactical_right.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/display
{
    qer_editorimage textures/mag_consoles/display.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   	{
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 5 textures/mag_consoles/display_a.jpg textures/mag_consoles/display_b.jpg textures/mag_consoles/display.jpg
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/memory
{
    qer_editorimage textures/mag_consoles/memory.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   	{
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 4 textures/mag_consoles/memory.jpg textures/mag_consoles/memory_a.jpg textures/mag_consoles/memory_b.jpg textures/mag_consoles/memory_c.jpg
        blendFunc GL_ONE GL_ONE
	rgbGen wave sin	0.81 0.1 0 .5
	detail
	}
}

textures/mag/environ
{
    qer_editorimage textures/mag_consoles/environ.tga
    surfaceparm nolightmap
    surfaceparm nomarks
       {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/environ.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/environ.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/sabre
{
    qer_editorimage textures/mag_consoles/sabre.tga
    surfaceparm nolightmap
    surfaceparm nomarks
   {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/sabre.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/sabre.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/env_panel
{
    qer_editorimage textures/mag_consoles/env_panel.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/env_panel.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/env_panel.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/bigpipe
{
    qer_editorimage textures/mag/bigpipe
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/mag/bigpipe.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/voyager/pulse3.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}

textures/mag/msdsaber
{
    qer_editorimage textures/mag_consoles/msdsaber.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/msdsaber.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/msdsaber.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/SHUTTLE_lcars
{
    qer_editorimage textures/mag_consoles/SHUTTLE_lcars.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/SHUTTLE_lcars.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/SHUTTLE_lcars.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/sabersystem
{
    qer_editorimage textures/mag_consoles/sabersystem.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/sabersystem.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/sabersystem.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/divisionpanel
{
    qer_editorimage textures/voyager/divisionpanelra.tga
    {
        map $lightmap
    }
	{
        map textures/mag/divisionpanel.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mag/divisionpanel_glow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/mag/saberlcar
{	

	qer_editorimage textures/mag_consoles/saberlcar.tga
	surfaceparm nolightmap
   	surfaceparm nomarks
	{
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/saberlcar.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/saberlcar.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/mag/overlight
{
	qer_editorimage textures/sickbay/overlight.tga    
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	surfaceparm nolightmap
    {
        map textures/sickbay/overlight.tga
    }
}

textures/mag/torpedo
{
    qer_editorimage textures/mag_consoles/torpedo.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mag_consoles/torpedo.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/mag_consoles/torpedo.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}